gig::dimension_def_t Struct Reference

General dimension definition. More...

`#include <gig.h>`

## Public Attributes

dimension_t | dimension
| Specifies which source (usually a MIDI controller) is associated with the dimension.
uint8_t | bits
| Number of "bits" (1 bit = 2 splits/zones, 2 bit = 4 splits/zones, 3 bit = 8 splits/zones,...).
uint8_t | zones
| Number of zones the dimension has.
split_type_t | split_type
| Intended for internal usage: will be used to convert a dimension value into the corresponding dimension bit number.
float | zone_size
| Intended for internal usage: reflects the size of each zone (128/zones) for normal split types only, 0 otherwise.

## Detailed Description

General dimension definition.

Definition at line 357 of file gig.h.

## Member Data Documentation

## bits

uint8_t gig::dimension_def_t::bits

Number of "bits" (1 bit = 2 splits/zones, 2 bit = 4 splits/zones, 3 bit = 8 splits/zones,...).

Definition at line 359 of file gig.h.

Referenced by gig::Region::AddDimension(), gig::Region::DeleteDimensionZone(), and gig::Region::SplitDimensionZone().

## dimension

dimension_t gig::dimension_def_t::dimension

Specifies which source (usually a MIDI controller) is associated with the dimension.

Definition at line 358 of file gig.h.

Referenced by gig::Region::AddDimension(), gig::Region::DeleteDimension(), gig::Region::DeleteDimensionZone(), gig::Region::SetDimensionType(), and gig::Region::SplitDimensionZone().

## split_type

split_type_t gig::dimension_def_t::split_type

Intended for internal usage: will be used to convert a dimension value into the corresponding dimension bit number.

Definition at line 361 of file gig.h.

Referenced by gig::Region::DeleteDimensionZone(), gig::Region::SetDimensionType(), and gig::Region::SplitDimensionZone().

## zone_size

float gig::dimension_def_t::zone_size

Intended for internal usage: reflects the size of each zone (128/zones) for normal split types only, 0 otherwise.

Definition at line 362 of file gig.h.

## zones

uint8_t gig::dimension_def_t::zones

Number of zones the dimension has.

Definition at line 360 of file gig.h.

Referenced by gig::Region::AddDimension(), gig::Region::DeleteDimensionZone(), gig::Region::SetDimensionType(), and gig::Region::SplitDimensionZone().

The documentation for this struct was generated from the following file:

- gig.h